Bug 1310093 - cannot search ldap user at Admin -> Add LDAP User page
cannot search ldap user at Admin -> Add LDAP User page
Status: CLOSED WONTFIX
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI (Show other bugs)
2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3
Assigned To: Sankarshan Mukhopadhyay
sds-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-19 07:36 EST by Martin Kudlej
Modified: 2017-03-23 00:10 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
Cause: search not supported for name(first and last) Consequence: Cannot search with first and last name Workaround (if any): None Result: LDAP search is available only with user ID
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-23 00:10:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kudlej 2016-02-19 07:36:30 EST
Description of problem:
I've configured ldap to usm and tried to search in ldap users in UI as it was shown to us during demo. But it doesn't work even if call of function externalusers returns proper list of ldap users.

Version-Release number of selected component (if applicable):
rhscon-core-0.0.8-4.el7.x86_64
rhscon-ceph-0.0.6-4.el7.x86_64
rhscon-ui-0.0.14-1.el7.noarch

How reproducible:
100%

Steps to Reproduce:
1. configure ldap to usm
2. try to search user from ldap in Admin -> Add LDAP User page
3. watch XHR communication in browser

Actual results:
Users from LDAP don't show at Admin -> Add LDAP User page.

Expected results:
User will be abale to searh LDAP users in Admin -> Add LDAP User page.
Comment 2 Timothy Asir 2016-03-02 06:58:20 EST
Fixed in rhscon-core-0.0.8-10.el7.x86_64
Comment 4 Martin Kudlej 2016-07-01 11:12:54 EDT
Tested with
rhscon-core-0.0.29-1.el7scon.x86_64
rhscon-ui-0.0.43-1.el7scon.noarch
and it doesn't work according search input description.
There is description that it searches according "Name and User ID".
It doesn't search according First and Last name. -->FailedQA

Note You need to log in before you can comment on or make changes to this bug.